const connection = require('./config');

const post_login = async ({ email, password }) => {
    return await connection.oneOrNone('SELECT * FROM academico.func_tma_login ( $1, $2 );', [email, password]);
};

const get_account = async ({ documento }) => {
    return await connection.oneOrNone('SELECT * FROM academico.func_tma_cuenta ( $1 );', [documento]);
};

module.exports = {
    post_login,
    get_account
};