require('dotenv').config();
const pgp = require('pg-promise')({ query(e) { console.log(e.query) } });

const username = process.env.DB_POSTGRESQL_SIIAA_USERNAME;
const password = process.env.DB_POSTGRESQL_SIIAA_PASSWORD;
const database = process.env.DB_POSTGRESQL_SIIAA_NAME;
const host = process.env.DB_POSTGRESQL_SIIAA_HOST;
const port = process.env.DB_POSTGRESQL_SIIAA_PORT;

const connection = pgp(`postgres://${username}:${password}@${host}:${port}/${database}`);

module.exports = connection;