const jwt = require('jsonwebtoken');

const generate_jwt = (payload) => {
    return new Promise((resolve, reject) => {
        jwt.sign(payload, process.env.SECRET_KEY, { expiresIn: '1h' },
            (err, token) => {
                if (err) {
                    reject('No se generó el Token!');
                } else {
                    resolve(token);
                }
            });
    });
};

module.exports = {
    generate_jwt
};