const { validationResult } = require('express-validator');

const validate_errors = (req, res, next) => {
    const errors = validationResult(req);

    if (!errors.isEmpty()) {
        return res.status(400).json({ status: false, errors: errors.array() });
    }

    next();
};

module.exports = {
    validate_errors
};