const db = require('../db/material.db');
const axios = require('axios').default;

const get_materiales = async (input) => {
    return await db.get_materiales(input);
};

const get_material = async ({ drive_id, drive_encrypted }) => {
    const response = await axios.get(`${process.env.URL_TRISMEGISTO_APIS}/google/drive?drive_id=${drive_id}&drive_encrypted=${drive_encrypted}`);

    return response.data;
};

module.exports = {
    get_materiales,
    get_material
};