const service = require('../services/horario.service');

const get_horario = async (req, res) => {
    try {
        const { documento } = req.params;
        const salida = await service.get_horario({ documento });

        res.json(salida);
    } catch (error) {
        res.status(400).json({ error });
    }
};

module.exports = {
    get_horario
};