const express = require('express');
const router = express.Router();
const { get_materiales, get_material } = require('../controllers/material.controller');
const { validate_jwt } = require('../middlewares');

router.get('/',
    validate_jwt,
    get_materiales);

router.get('/recurso',
    validate_jwt,
    get_material);

module.exports = router;